GH-ISSUE-EDIT(1)

NAME

gh-issue-edit - Edit issues

SYNOPSIS

gh issue edit {<numbers> | <urls>} [flags]

DESCRIPTION

Edit one or more issues within the same repository.

Editing issues' projects requires authorization with the project scope. To authorize, run gh auth refresh -s project.

OPTIONS

--add-assignee <login>
    Add assigned users by their login. Use "@me" to assign yourself.

--add-label <name>
    Add labels by name

--add-project <name>
    Add the issue to projects by name

-b, --body <string>
    Set the new body.

-F, --body-file <file>
    Read body text from file (use "-" to read from standard input)

-m, --milestone <name>
    Edit the milestone the issue belongs to by name

--remove-assignee <login>
    Remove assigned users by their login. Use "@me" to unassign yourself.

--remove-label <name>
    Remove labels by name

--remove-project <name>
    Remove the issue from projects by name

-t, --title <string>
    Set the new title.

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE
    $ gh issue edit 23 --title "I found a bug" --body "Nothing works"
    $ gh issue edit 23 --add-label "bug,help wanted" --remove-label "core"
    $ gh issue edit 23 --add-assignee "@me" --remove-assignee monalisa,hubot
    $ gh issue edit 23 --add-project "Roadmap" --remove-project v1,v2
    $ gh issue edit 23 --milestone "Version 1"
    $ gh issue edit 23 --body-file body.txt
    $ gh issue edit 23 34 --add-label "help wanted"

SEE ALSO

gh-issue(1)